<?php
include "../../config.php";
include "Models/Workout.php";

if (isset($_GET['token'])){
    $sql = "SELECT * FROM tokens INNER JOIN users ON users.id=tokens.user WHERE token=?";
    $stmt = $pdo->prepare($sql);
    $stmt->bindParam(1, $_GET['token']);
    if ($stmt->execute()){
        if ($stmt->rowCount() == 1){
            $userData = $stmt->fetchAll(PDO::FETCH_ASSOC);
            $username = $userData[0]['username'];
            $userID = $userData[0]['user'];
            $sql = "SELECT * FROM workout_routines inner join users on workout_routines.creator=users.id WHERE public=1 or creator=?";
            $stmt = $pdo->prepare($sql);
            $stmt->bindParam(1, $userID);
            if ($stmt->execute()){
                $workoutRoutines = $stmt->fetchAll(PDO::FETCH_ASSOC);
                $workouts = array();
                foreach ($workoutRoutines as $routine){
                    $workouts[] = new Workout($routine['username'], $routine['title'], $routine['id']);
                }
                header('Content-Type: application/json');
                echo json_encode($workouts);
            }
        }else{
            var_dump($stmt->fetchAll(PDO::FETCH_ASSOC));
        }
    }else{
        var_dump($stmt->errorInfo());
    }

    //header('Content-Type: application/json');
}else{


}